package com.ssj.bean.sys.homework.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "scon_no_homework_record")
public class NoHomeworkRecord extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private String vipId;

    private String courseName;

    /**
     * 类别，1全部完成，2部分完成，3无作业，4非纸面作业
     */
    private int type = 1;

    /**
     * 设备类型， 1在馆老师端；2小塾；3pad
     */
    private int deviceType;

    private Date createTime;

    private String grade;

    private String homeworkId;

    @Column( updatable = false)
    public String getVipId() {
        return vipId;
    }

    public void setVipId(String vipId) {
        this.vipId = vipId;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public int getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(int deviceType) {
        this.deviceType = deviceType;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }
    @Column( updatable = false)
    public String getHomeworkId() {
        return homeworkId;
    }

    public void setHomeworkId(String homeworkId) {
        this.homeworkId = homeworkId;
    }
}
